import request from '@/utils/request';

// 获取政策列表
export function getPolicy(data) {
  return request({
    url:
      '/policy/getPolicy?pageNum=' +
      data.pageNum +
      '&pageSize=' +
      data.pageSize,
    method: 'post',
    data
  });
}
// 删除政策信息 body里ids数组
export function delPolicy(data) {
  return request({
    url: '/policy/delPolicy',
    method: 'post',
    data
  });
}
// 获取政策标签管理初始化数据
export function getLabelSetting(params) {
  return request({
    url: '/policy/getLabelSetting',
    method: 'get',
    params
  });
}
// 设置政策标签 body里id(政策),ids(标签id数组)
export function setPolicyLabel(data) {
  return request({
    url: '/policy/setPolicyLabel',
    method: 'post',
    data
  });
}
// 修改政策信息/截止时间设置
export function updatePolicy(data) {
  return request({
    url: '/policy/updatePolicy',
    method: 'post',
    data
  });
}
// 批量推送政策标签 body里ids(政策id数组)
export function pushPolicy(data) {
  return request({
    url: '/policy/pushPolicy',
    method: 'post',
    data
  });
}
// 取消推送
export function noPushPolicy(params) {
  return request({
    url: '/policy/noPushPolicy',
    method: 'get',
    params
  });
}
// 添加政策
export function addPolicy(data) {
  return request({
    url: '/policy/addPolicy',
    method: 'post',
    data
  });
}
// 编辑政策的数据回显
export function getPolicyInfo(params) {
  return request({
    url: '/policy/getPolicyInfo',
    method: 'get',
    params
  });
}
// 根据level查询城市 1->省 2->市 3->合肥
export function getCityByLevel(params) {
  return request({
    url: '/dict/getCityByLevel',
    params
  });
}
